org.gradle.jvm

## Interface JarBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, JvmBinarySpec, Named

      @Incubating
      public interface JarBinarySpec
      extends JvmBinarySpec

  Definition of a Jar file binary that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LibraryBinaryIdentifier` | `getId()` The unique identifier of this JarBinarySpec.
    `File` | `getJarFile()` The jar file output for this binary.
    `void` | `setJarFile(File jarFile)` Sets the jar file output for this binary.

    - ### Methods inherited from interface org.gradle.jvm.JvmBinarySpec

      `getClassesDir, getResourcesDir, getTargetPlatform, getTasks, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, isBuildable, sources, tasks`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getId

          LibraryBinaryIdentifier getId()

      The unique identifier of this JarBinarySpec.

    - #### getJarFile

          File getJarFile()

      The jar file output for this binary.

    - #### setJarFile

          void setJarFile(File jarFile)

      Sets the jar file output for this binary.